use super::SdkState;
use axum::{
    extract::{Form, State},
    routing::{get, post},
    Json, Router,
};
use serde_json::{json, Value};

mod data;
pub mod dispatch;
pub mod granter_api;
pub mod mdk_shield;
pub mod registration_page;
pub mod takumi_api;

fn fail_json(retcode: i32, message: &str) -> Json<serde_json::Value> {
    Json(json! ({
        "retcode": retcode,
        "message": message
    }))
}
